at.chipkarte.client.ebs.soap

## Class MrAntragsdaten

- Object
- - at.chipkarte.client.ebs.soap.MrAntragsdaten

-     public class MrAntragsdaten
      extends Object

  Dient der Ein- und Ausgabe der spezifischen medizinischen Daten für einen MR-Antrag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MrAntragsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBisherigeTherapie()` Bisherige Therapie.
    `String` | `getEmpfohlen()` Angabe, ob die Untersuchung aufgrund einer Empfehlung ausgestellt wird.
    `String` | `getFachgebietsbezogen()` Angabe, ob sich die Untersuchung auf das Fachgebiet des Verordners bezieht.
    `String` | `getKlinik()` Klinik, nähere medizinische Angabe.
    `String` | `getKreatinin()` Laborparameter Kreatinin [mg/dl].
    `String` | `getTsh()` Laborparameter TSH [mU/l].
    `String` | `getUnfall()` Angabe, ob ein Unfall stattgefunden hat.
    `String` | `getUnfalldatum()` Datum des Unfalls.
    `void` | `setBisherigeTherapie(String bisherigeTherapie)`
    `void` | `setEmpfohlen(String empfohlen)`
    `void` | `setFachgebietsbezogen(String fachgebietsbezogen)`
    `void` | `setKlinik(String klinik)`
    `void` | `setKreatinin(String kreatinin)`
    `void` | `setTsh(String tsh)`
    `void` | `setUnfall(String unfall)`
    `void` | `setUnfalldatum(String unfalldatum)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MrAntragsdaten

          public MrAntragsdaten()

  - ### Method Detail

    - #### getBisherigeTherapie

          public String getBisherigeTherapie()

      Bisherige Therapie.
      Angabe: Kann.
      Format: 1000-stellig
      Returns:
        BisherigeTherapie.

    - #### setBisherigeTherapie

          public void setBisherigeTherapie(String bisherigeTherapie)

    - #### getKlinik

          public String getKlinik()

      Klinik, nähere medizinische Angabe.
      Angabe: Kann.
      Format: 1000-stellig
      Returns:
        Klinik.

    - #### setKlinik

          public void setKlinik(String klinik)

    - #### getKreatinin

          public String getKreatinin()

      Laborparameter Kreatinin [mg/dl].
      Angabe: Kann.
      Format: 5-stellig numerisch; Wertebereich: 0,00-20,00
      Returns:
        Kreatinin.

    - #### setKreatinin

          public void setKreatinin(String kreatinin)

    - #### getTsh

          public String getTsh()

      Laborparameter TSH [mU/l].
      Angabe: Kann.
      Format: 3-stellig numerisch; Wertebereich: 0,0-9,9
      Returns:
        Tsh.

    - #### setTsh

          public void setTsh(String tsh)

    - #### getUnfall

          public String getUnfall()

      Angabe, ob ein Unfall stattgefunden hat.
      Mögliche Werte siehe `KennzeichenJaNeinTypConstants`.
      Angabe: Kann.
      Returns:
        Unfall.

    - #### setUnfall

          public void setUnfall(String unfall)

    - #### getUnfalldatum

          public String getUnfalldatum()

      Datum des Unfalls.
      Angabe: Bedingt. Muss angegeben sein wenn Unfall mit Ja belegt ist, darf nicht angegeben werden wenn Unfall nicht oder mit Nein belegt ist.
      Format: TT.MM.JJJJ
      Wertebereich: Darf nicht in der Zukunft liegen.
      Returns:
        Unfalldatum.

    - #### setUnfalldatum

          public void setUnfalldatum(String unfalldatum)

    - #### getFachgebietsbezogen

          public String getFachgebietsbezogen()

      Angabe, ob sich die Untersuchung auf das Fachgebiet des Verordners bezieht.
      Mögliche Werte siehe `KennzeichenJaNeinTypConstants`.
      Angabe: Bedingt.
      Muss angegeben werden bei Aktueller Erfassung (Verwendung der Funktion "erfassenVerordnerAntrag") wenn der zuvor ermittelte Partnerstatus (siehe `getVerordnerPartnerstatus()` gleich "VP", das bei der Erfassung angegebene Fachgebiet ungleich "01" (Allgemeinmedizin) und der für den Antrag angegebene bzw. ermittelte KVT gleich "15" ist.
      Darf nicht angegeben werden wenn eine der folgenden Bedingungen erfüllt ist:
      o) Nacherfassung (Verwendung der Funktion "nacherfassenAntrag")
      o) bei Aktueller Erfassung (Verwendung der Funktion "erfassenVerordnerAntrag") wenn der zuvor ermittelte Partnerstatus (siehe `getVerordnerPartnerstatus()` gleich "WP" ist.
      Returns:
        Fachgebietsbezogen.

    - #### setFachgebietsbezogen

          public void setFachgebietsbezogen(String fachgebietsbezogen)

    - #### getEmpfohlen

          public String getEmpfohlen()

      Angabe, ob die Untersuchung aufgrund einer Empfehlung ausgestellt wird.
      Mögliche Werte siehe `UntersuchungEmpfohlenVonTypConstants`.
      Angabe: Bedingt.
      Muss angegeben werden bei Aktueller Erfassung (Verwendung der Funktion "erfassenVerordnerAntrag") wenn der zuvor ermittelte Partnerstatus (siehe `getVerordnerPartnerstatus()` gleich "VP", das bei der Erfassung angegebene Fachgebiet gleich "01" (Allgemeinmedizin) und der für den Antrag angegebene bzw. ermittelte KVT gleich "15" ist.
      Darf nicht angegeben werden wenn eine der folgenden Bedingungen erfüllt ist:
      o) Nacherfassung (Verwendung der Funktion "nacherfassenAntrag")
      o) bei Aktueller Erfassung (Verwendung der Funktion "erfassenVerordnerAntrag") wenn der zuvor ermittelte Partnerstatus (siehe `getVerordnerPartnerstatus()` gleich "WP" ist.
      Returns:
        Empfohlen.

    - #### setEmpfohlen

          public void setEmpfohlen(String empfohlen)